Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.client.brm
Class AbstractBRMClientService

    java.lang.Object
      com.tibco.bpm.web.client.services.client.brm.AbstractBRMClientService

Direct Known Subclasses:
  BRMWorkItemManagementService

    public abstract class AbstractBRMClientService

extends java.lang.Object

Field Summary
`protected static java.lang.String` | `BASE_URL`
`protected static java.lang.String` | `XMLFRAGMENT`

Constructor Summary
`protected` | `AbstractBRMClientService()`
`protected` | `AbstractBRMClientService(java.lang.String defaultClientContext, java.lang.String clientContextKey)`

Method Summary
`protected com.google.gwt.json.client.JSONValue` | `cleanseResponse(com.google.gwt.json.client.JSONValue response)`
`protected java.util.Map<java.lang.String,java.lang.String>` | `getHeaders()`
`protected java.lang.String` | `getServiceURL()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XMLFRAGMENT

    protected static java.lang.String XMLFRAGMENT

### BASE_URL

    protected static java.lang.String BASE_URL

Constructor Detail

### AbstractBRMClientService

    protected AbstractBRMClientService()

### AbstractBRMClientService

    protected AbstractBRMClientService(java.lang.String defaultClientContext,
                                       java.lang.String clientContextKey)

Method Detail

### getHeaders

    protected java.util.Map<java.lang.String,java.lang.String> getHeaders()

### getServiceURL

    protected java.lang.String getServiceURL()

### cleanseResponse

    protected com.google.gwt.json.client.JSONValue cleanseResponse(com.google.gwt.json.client.JSONValue response)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.